// -*- mode: c++; mode: auto-fill; mode: flyspell-prog; -*-

#ifndef Exceptions_h
#define Exceptions_h 1

#include <string>
#include <exception> 

namespace luiza {


//! Define Exceptions class, useful for control of data processing
/*! Exceptions allow processors to enforce some actions on Processor
 * Manager, as skipping given event or finishing analysis earlier.
 */

  class Exception : public std::exception {

    
  protected:
    std::string message ;
    
    Exception(){  /*no_op*/ ; } 
    
  public: 
    virtual ~Exception() throw() { /*no_op*/; } 
    
    Exception( const std::string& text ){
      message = "luiza::Exception: " + text ;
    }

    virtual const char* what() const  throw() { return  message.c_str() ; } 

  };


} // namespace
  
#endif /* ifndef Exceptions_h */
