// -*- mode: c++; mode: auto-fill; mode: flyspell-prog; -*-

// Author: A.F.Zarnecki, University of Warsaw <mailto:zarnecki@fuw.edu.pl>

/*
 *   This source code is part of the LUIZA software package for GLORIA.
 *   You are free to use this source files for your own development as
 *   long as it stays in a public research context. You are not
 *   allowed to use it for commercial purpose. You must put this
 *   header with author names in all development based on this file.
 *
 */

#include "gloria/GloriaObjectList.h"

using namespace std;

namespace gloria{

GloriaObjectList::GloriaObjectList() 
: GloriaFitsTable() {
  AddColumn("CCD_X",(double) -1., string("pixel"),string("Object position on CCD in X"));
  AddColumn("CCD_Y",(double) -1., string("pixel"),string("Object position on CCD in Y"));
  AddColumn("Signal",(double) 0., string("ADU"),string("CCD signal corresponding to the identified object"));
}

} // namespace gloria
