#ifndef ADDCONDITION_H
#define ADDCONDITION_H

/**@class
 * This class just shows a small dialog for adding new processor conditions
 *
 * @author Jan Engels, DESY
 * @version $Id: addcondition.h,v 1.2 2006-12-08 15:51:37 engels Exp $
 */

#include <QDialog>

#include "luiza/LuizaSteerCheck.h"

class QVBoxLayout;
class QLineEdit;
class QMainWindow;

using namespace luiza;

class ACDialog : public QDialog
{
    Q_OBJECT

public:
    ACDialog(LuizaSteerCheck* msc, QWidget *parent = 0, Qt::WFlags f = 0);

signals:
    void apply();
    
private slots:
    void addCondition();

private:
    //Variables
    QMainWindow* _parent;
    QLineEdit *le;
    QVBoxLayout *mainLayout; 
    
    LuizaSteerCheck* _msc;
};

#endif
