#ifndef RootProcessor_h
#define RootProcessor_h 1

#include "luiza/Processor.h"

// root includes

#include "TApplication.h"

using namespace gloria ;


namespace luiza{
  
  //! Base class for processors accessing input data
  /*! Base class for data source handlers that can read arbitrary input files (or net) and 
   *  create data collections to be processed by other processors. When all data sources 
   *  are read and closed data processing finishes. 
   *
   *  @author A.F.Zarnecki, University of Warsaw
   */
  
  class RootProcessor : public Processor {
    
  public:
    
    RootProcessor( const std::string& typeName ) ;

    void InitializeRoot();

  protected:

    static TApplication* rootApl;

  };
 
} // end namespace marlin 

#endif
